List contacts
curl --request GET \
--url https://app.alvahq.com/api/v1/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.alvahq.com/api/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.alvahq.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.alvahq.com/api/v1/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@acme.com",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "VP of Engineering",
"phone": "<string>",
"mobile": "<string>",
"linkedin": "<string>",
"twitter": "<string>",
"notes": "<string>",
"department": "<string>",
"seniorityLevel": "<string>",
"additionalEmails": [
"<string>"
],
"additionalPhones": [
"<string>"
],
"linkedinUrl": "<string>",
"customFields": {},
"doNotContact": true,
"doNotContactReason": "<string>",
"doNotContactAt": "2023-11-07T05:31:56Z",
"emailConfidence": 123,
"companyVerified": true,
"seniorityScore": 123,
"isEconomicBuyer": true,
"emailAvailable": true,
"phoneAvailable": true,
"mobileRevealStatus": "<string>",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Maximum 100 requests per minute.",
"retryAfter": 30
}Contacts
List contacts
Retrieve a paginated list of contacts. Supports search and filtering.
GET
/
api
/
v1
/
contacts
List contacts
curl --request GET \
--url https://app.alvahq.com/api/v1/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.alvahq.com/api/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.alvahq.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.alvahq.com/api/v1/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@acme.com",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "VP of Engineering",
"phone": "<string>",
"mobile": "<string>",
"linkedin": "<string>",
"twitter": "<string>",
"notes": "<string>",
"department": "<string>",
"seniorityLevel": "<string>",
"additionalEmails": [
"<string>"
],
"additionalPhones": [
"<string>"
],
"linkedinUrl": "<string>",
"customFields": {},
"doNotContact": true,
"doNotContactReason": "<string>",
"doNotContactAt": "2023-11-07T05:31:56Z",
"emailConfidence": 123,
"companyVerified": true,
"seniorityScore": 123,
"isEconomicBuyer": true,
"emailAvailable": true,
"phoneAvailable": true,
"mobileRevealStatus": "<string>",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Maximum 100 requests per minute.",
"retryAfter": 30
}Authorizations
API key from Settings > Developer. Format: alva_sk_...
Query Parameters
Page number
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100Sort by field:direction. Fields: firstName, lastName, email, createdAt, updatedAt. Direction: asc or desc. Example: createdAt:desc
Search by name or email
Filter by company ID